package com.ten60.netkernel.cache.se.resolution;

import org.netkernel.request.IRequest;
import org.netkernel.request.IRequestScopeLevel;

public class GetKey
{
	final IRequestScopeLevel mScopeLevel;
	final String mIdentifierString;
	final int mVerb;

	public GetKey(IRequest aUnresolved)
	{	mScopeLevel=aUnresolved.getRequestScope();
		mIdentifierString=aUnresolved.getIdentifier().toString();
		mVerb=aUnresolved.getVerb();
	}
	
	public int hashCode()
	{	return mIdentifierString.hashCode();
	}
	
	public boolean equals(Object aOther)
	{	boolean equal=false;
		if (aOther instanceof ResolutionKey)
		{	equal=aOther.equals(this);
		}
		return equal;
	}	
	
}
